//
//
//	File parser tester
//
//											(C) 1997 JoOl


#include "ParserObj.h"


int32
main(int32 argc, char**argv)
{
	if (argc < 2)
	{
		printf("Usage: %s <file 3d2>\n", argv[0]);
		return -1;
	}

	for (int32 i = 1; i < argc; i++)
	{
		BPath			Path(argv[i]);
		BEntry			Entry(Path.Path(), true);
		entry_ref		Ref;
		Entry.GetRef(&Ref);
		ParserObj		Parser(true);
		if (Parser.SetInput(Ref))
		{
			if (!Parser.Parse())
				printf("Error during parsing of '%s'\n", Path.Path());
		}
		else
			printf("Can't set input to '%s'\n", Path.Path());
	}

	return 0;
}

